Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.installer
Class OtdLibInstaller

    java.lang.Object
      com.stc.hl7.installer.OtdLibInstaller

    public class OtdLibInstaller

extends java.lang.Object

OtdLibInstaller installs an OTD Library into the SeeBeyond Repository. Each OTD is stored as a UD1ObjectTypeDefinition The OTDs are referenced in a Project called OTDs with the Project path defined by the directory path in the SAR file.

Version:
  $Revision: 1.20 $
Author:
  Julie Knight

Constructor Summary
`OtdLibInstaller(com.stc.repository.Repository rep, java.lang.String basedir, java.lang.String repURL, java.lang.String userName, java.lang.String password)`

Method Summary
`void` | `execute()` Installs the .fog file into the repository
`java.lang.String` | `getBaseDir()` Gets the basedir
`java.lang.String` | `getPassword()` Gets the password
`com.stc.repository.Repository` | `getRepository()` Gets the respository
`java.lang.String` | `getRepUrl()` Gets the repository URL
`java.lang.String` | `getUserName()` Gets the user name
`void` | `setBaseDir(java.lang.String basedir)` Sets the basedir
`void` | `setPassword(java.lang.String password)` Sets the password
`void` | `setRepository(com.stc.repository.Repository repository, java.lang.String url, java.lang.String userName, java.lang.String pwd)` Sets the repository
`void` | `setRepURL(java.lang.String url)` Sets the repository URL
`void` | `setUserName(java.lang.String userName)` Sets the user name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OtdLibInstaller

    public OtdLibInstaller(com.stc.repository.Repository rep,
                           java.lang.String basedir,
                           java.lang.String repURL,
                           java.lang.String userName,
                           java.lang.String password)

Method Detail

### setRepURL

    public void setRepURL(java.lang.String url)

  Sets the repository URL

  Parameters:
    `url` - repository URL

### getRepUrl

    public java.lang.String getRepUrl()

  Gets the repository URL

  Returns:
    repository URL

### setUserName

    public void setUserName(java.lang.String userName)

  Sets the user name

  Parameters:
    `userName` - user name

### getUserName

    public java.lang.String getUserName()

  Gets the user name

  Returns:
    user name

### setPassword

    public void setPassword(java.lang.String password)

  Sets the password

  Parameters:
    `password` - user password

### getPassword

    public java.lang.String getPassword()

  Gets the password

  Returns:
    user password

### setRepository

    public void setRepository(com.stc.repository.Repository repository,
                              java.lang.String url,
                              java.lang.String userName,
                              java.lang.String pwd)

  Sets the repository

  Parameters:
    `repository` - Repository object

### getRepository

    public com.stc.repository.Repository getRepository()

  Gets the respository

  Returns:
    Respository object

### setBaseDir

    public void setBaseDir(java.lang.String basedir)

  Sets the basedir

  Parameters:
    `basedir` - Name of the install basedir

### getBaseDir

    public java.lang.String getBaseDir()

  Gets the basedir

  Returns:
    Name of the install basedir

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Installs the .fog file into the repository

  Throws:
    `org.apache.tools.ant.BuildException` - exception upon error

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD